Skip to main content
GET
/
workflows
/
{workflowId}
/
executions
/
{executionId}
Get execution
curl --request GET \
  --url https://script.so/api/v1/workflows/{workflowId}/executions/{executionId} \
  --header 'x-api-key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "initial",
  "created_at": "2023-11-07T05:31:56Z",
  "results": [
    {
      "filename": "<string>",
      "url": "<string>"
    }
  ]
}

Authorizations

x-api-key
string
header
required

API key authentication. Get your key from Settings → API Keys.

Path Parameters

workflowId
string<uuid>
required

Workflow ID

executionId
string<uuid>
required

Execution ID

Response

Execution details

Detailed workflow execution information

id
string<uuid>
required

Unique execution identifier

workflow_id
string<uuid>
required

ID of the workflow being executed

status
enum<string>
required

Current execution status

Available options:
initial,
processing,
human_in_the_loop,
finished,
error
created_at
string<date-time>
required

Timestamp when the execution was created

results
object[] | null
required

Output files from the workflow's last step. Null if execution is not finished.